import { IPlatformContext } from '@adminide-stack/extension-api';
import { Disposable } from '@workbench-stack/core';
import { Observable } from 'rxjs';
import { IClientService } from '@adminide-stack/core';
import { ApolloClient, ApolloQueryResult } from '@apollo/client';
import { LocalStorageSubject } from '../util/local-storage-subject';
import { DocumentNode } from 'graphql';
export declare class PlatformContext extends Disposable implements IPlatformContext {
    private client;
    private _reduxState$;
    private services;
    private static _instance;
    constructor(client: ApolloClient<any>, _reduxState$: Observable<any>, services: IClientService);
    get apolloClient(): ApolloClient<any>;
    requestGraphQL<R, V = object>(request: DocumentNode | any, variables: V, mightContainPrivateInfo: boolean): Observable<ApolloQueryResult<R>>;
    get settings(): Observable<import("rxjs").SchedulerLike>;
    get orgSettings(): void;
    get reduxState$(): Observable<any>;
    createExtensionHost(): any;
    getScriptURLForExtension: (bundleURL: any) => any;
    get sideloadedExtensionURL(): LocalStorageSubject<string>;
    cdeopsURL: string;
    clientApplication: 'cdeops';
    traceExtensionHostCommunication: LocalStorageSubject<boolean>;
}
